## org.apache.bcel.generic
Class IREM

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ArithmeticInstruction
              org.apache.bcel.generic.IREM

All Implemented Interfaces:
  Serializable, Cloneable, ExceptionThrower, StackConsumer, StackProducer, TypedInstruction

    public class IREM

extends ArithmeticInstruction
implements ExceptionThrower

IREM - Remainder of int

    Stack: ..., value1, value2 -> result

Version:
  $Id: IREM.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`IREM()` Remainder of ints

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`Class[]` `getExceptions()`

Methods inherited from class org.apache.bcel.generic.ArithmeticInstruction
`getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### IREM

    public IREM()

  Remainder of ints

Method Detail

### getExceptions

    public Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`
  Returns:
    exceptions this instruction may cause

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.